Package com.saxonica.ee.validate

## Class StatisticsReporter

- java.lang.Object
- - com.saxonica.ee.validate.StatisticsReporter

- All Implemented Interfaces:
    `ValidationStatisticsRecipient`

      public class StatisticsReporter
      extends java.lang.Object
      implements ValidationStatisticsRecipient

  Generates statistics relating to a validation episode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticsReporter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyValidationStatistics​(java.util.Map<SchemaComponent,​java.lang.Integer> statistics)` | Notify the validation statistics
    `void` | `setReceiver​(Processor processor, Destination destination)` | Create a StatisticsReporter and set a Receiver to receive an XML report of the statistics that have been collected

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsReporter

          public StatisticsReporter()

  - ### Method Detail

    - #### setReceiver

          public void setReceiver​(Processor processor,
                                  Destination destination)

      Create a StatisticsReporter and set a Receiver to receive an XML report of the statistics that have been collected
      Parameters:
        `processor` - the processor owning the destination to which the XML report will be sent
        `destination` - the destination to which the XML report will be sent

    - #### notifyValidationStatistics

          public void notifyValidationStatistics​(java.util.Map<SchemaComponent,​java.lang.Integer> statistics)
                                          throws SaxonApiException

      Notify the validation statistics
      Specified by:
        `notifyValidationStatistics` in interface `ValidationStatisticsRecipient`
      Parameters:
        `statistics` - the statistics, in the form of a map from schema components (currently, element declarations and schema types) to a count of how often the component was used during the validation episode
      Throws:
        `SaxonApiException` - if any error occurs